Name:           mauikit-imagetools
Version:        2.2.0
Release:        %autorelease
Summary:        MauiKit Image Tools Components
License:        CC0-1.0 AND LGPL-2.1-or-later AND BSD-2-Clause
URL:            https://mauikit.org
Source:         https://download.kde.org/stable/maui/mauikit-imagetools/%{version}/mauikit-imagetools-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Positioning)
BuildRequires:  cmake(exiv2)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(MauiKit)
BuildRequires:  cmake(Qt5QuickCompiler)
BuildRequires:  cmake(KQuickImageEditor)

Requires:       mauikit


%description
%{summary}.


%prep
%autosetup

# fix project version
sed -e 's/2.1.2/%{version}/' -i CMakeLists.txt


%build
%cmake_kf5
%cmake_build


%install
%cmake_install


%files
%license LICENSES/*
%{_includedir}/MauiKit/ImageTools
%{_includedir}/MauiKit/FileBrowsing/imagetools_version.h
%{_libdir}/cmake/MauiKitImageTools
%{_libdir}/libMauiKitImageTools.so
%{_libdir}/libMauiKitImageTools.so.2
%{_libdir}/libMauiKitImageTools.so.%{version}
%{_kf5_qmldir}/org/mauikit/imagetools
%{_datadir}/org/mauikit/imagetools/cities.db


%changelog
%autochangelog
